Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class Mapping

    java.lang.Object
      org.apache.axis.utils.Mapping

All Implemented Interfaces:
  java.io.Serializable

public class Mapping
extends java.lang.Object
implements java.io.Serializable

this class represents a mapping from namespace to prefix

See Also:
  Serialized Form

Constructor Summary
`Mapping(java.lang.String namespaceURI, java.lang.String prefix)`

Method Summary
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getPrefix()`
`void` | `setNamespaceURI(java.lang.String namespaceURI)`
`void` | `setPrefix(java.lang.String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mapping

    public Mapping(java.lang.String namespaceURI,
                   java.lang.String prefix)

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### setNamespaceURI

    public void setNamespaceURI(java.lang.String namespaceURI)

### getPrefix

    public java.lang.String getPrefix()

### setPrefix

    public void setPrefix(java.lang.String prefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.